Bug 967976 - librx does not recognize aarch64 as 64bit arch
librx does not recognize aarch64 as 64bit arch
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: librx (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 13:18 EDT by Mark Salter
Modified: 2013-06-08 23:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: librx-1.5-19.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-08 23:32:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Salter 2013-05-28 13:18:46 EDT
Description of problem:
AArch64 needs to be added to list of 64bit arches in specfile:

diff --git a/librx.spec b/librx.spec
index 7c09fcc..c711203 100644
--- a/librx.spec
+++ b/librx.spec
@@ -38,7 +38,7 @@ This package contains files needed for development with librx.
 %setup -q -n rx-%{version}
 %patch0 -p1
 %patch1 -p1 -b .texipatch
-%ifarch x86_64 ppc64 sparc64 s390x
+%ifarch x86_64 ppc64 sparc64 s390x aarch64
 %patch2 -p1 -b .64bit
 %endif
 %patch3 -p1 -b .libtoolmode


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2013-05-29 10:06:07 EDT
librx-1.5-19.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/librx-1.5-19.fc19
Comment 2 Fedora Update System 2013-05-29 13:45:19 EDT
Package librx-1.5-19.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing librx-1.5-19.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9560/librx-1.5-19.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-06-08 23:32:11 EDT
librx-1.5-19.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.